SQL Tracker Introduction and Installation

Welcome to SQL Tracker

Quest SQL Tracker monitors SQL statements issued by Windows applications and services that access Oracle. Some of its key features include:

  • Displays SQL statements that come from processes in real-time, eliminating the necessity to turn on tracing and look into poorly formatted trace file
  • Displays logon attempts, both successful and unsuccessful
  • Displays values of bind variables for SQL statements
  • Displays statements that fail to execute with the Oracle error code and message
  • Enables copying and pasting of statements to your SQL analyzing tool
  • Monitors applications like Import/Export, SQLoader, Server Manager (svrmgrl.exe), as well as applications written with Oracle Forms or Pro*C

Note: SQL Tracker is a free utility that is available with a licensed copy of Toad and additional Quest Software products. Quest Software reserves the right to remove, change or alter this utility at any time.

New in This Release

SQL Tracker 3.0 includes the following new features:

  • Full Unicode support
  • Supports 64-bit (x64) processors
  • Monitors Oracle Server

  • Enhanced support for Oracle databases

    Note: SQL Tracker only supports Oracle databases. It does not monitor DB2 or MySQL.

System Requirements

Your system must the following minimum requirements:

Requirement | Description
Operating System

One of the following:

  • Windows 2000
  • Windows XP
  • Windows Server 2003
  • Windows Server 2008
  • Windows Vista

  • Windows 7

    Note: SQL Tracker supports the 32-bit and 64-bit (x64) versions of the listed operating systems. It does not support Itanium processors.
Oracle Client | Oracle Client 7.3 or later
Software | .NET Framework 2.0 or later
Hard Disk Space | 6 MB disk space when bundled with Toad

Related Topics

Monitor Processes


Monitor Processes

The main window of the SQL Tracker consists of two panes. The upper pane is a grid of applications currently running that access an Oracle database. By default it only displays processes that already have Oracle Client DLLs loaded. You can click [image] to display all processes in the list so that you can monitor a process that may lazy-load the client DLLs later.

The lower pane displays the SQL that the process has sent to Oracle and additional information about its execution. If you are monitoring an Oracle Server, the lower pane displays a header with the session information. You can click Choose Session To Display to view a different session.

Notes:

  • SQL Tracker does not display recursive SQL or traffic from internal sessions when you monitor Oracle Server.
  • To monitor services, you must run the SQL Tracker from one of your local drives. If you try to monitor a service while SQL Tracker is running on a mapped or network drive, you will receive an error message. This happens because services run under the Local System account, which can only see local drives.

To start monitoring a process

  1. Select the process you want to monitor in the upper grid.

  2. Click [image].

    Tip: You can click [image] to refresh the list of applications in the upper grid.

To stop monitoring a process

  1. Select one or more processes in the upper grid.
  2. Click [image].


Getting Help

If you have issues with SQL Tracker, you can gather information about possible problems in various ways.

Support Bundle

SQL Tracker provides a support bundle option under the Help menu. This support bundle can be created if you are having a problem with SQL Tracker and wish to request help from Quest Support.

When the support bundle has been created, you can then view or email the zip file to provide additional information for Quest Support to help with any problems you might have.

To create a support bundle

  1. Select Help | Create Support Bundle.
  2. Click Generate.

Debug Mode

You can also run SQL Tracker in debug mode to generate a diagnostic log file.

To run SQL Tracker in debug mode

  • From the command line, run:

    sqldbmon.exe -debug

Location of Log Files and Support Files

All log files, configuration files, and support files (such as memory dumps and support bundles) are created in the [USERPROFILE]\Local Settings\Application Data\Quest Software\SQLTracker directory.


Contact Quest Support

Quest Support is available to customers who have a trial version of a Quest product or who have purchased a Quest product and have a valid maintenance contract. Quest Support provides unlimited 24x7 access to SupportLink, our self-service portal. Visit SupportLink at http://support.quest.com.

From SupportLink, you can do the following:

• Retrieve thousands of solutions from our online Knowledgebase

• Download the latest releases and service packs

• Create, update and review Support cases

View the Global Support Guide for a detailed explanation of support programs, online services, contact information, policies and procedures. The guide is available at: http://support.quest.com.

Related Topics

About Quest Software

Contact Quest Software


Contact Quest Software

Email | info@quest.com
Mail | Quest Software, Inc. World Headquarters 5 Polaris Way Aliso Viejo, CA 92656 USA
Web site | www.quest.com

See our web site for regional and international office information.

Related Topics

About Quest Software

Contact Quest Support


About Quest Software

Now more than ever, organizations need to work smart and improve efficiency. Quest Software creates and supports smart systems management products—helping our customers solve everyday IT challenges easier and faster. Learn more at www.quest.com.

Related Topics

Contact Quest Support

Contact Quest Software


Copyright

© 2010 Quest Software, Inc.

ALL RIGHTS RESERVED.

This guide contains proprietary information protected by copyright. The software described in this guide is furnished under a software license or nondisclosure agreement. This software may be used or copied only in accordance with the terms of the applicable agreement. No part of this guide may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying and recording for any purpose other than the purchaser’s personal use without the written permission of Quest Software, Inc.

The information in this document is provided in connection with Quest products. No license, express or implied, by estoppel or otherwise, to any intellectual property right is granted by this document or in connection with the sale of Quest products. EXCEPT AS SET FORTH IN QUEST'S TERMS AND CONDITIONS AS SPECIFIED IN THE LICENSE AGREEMENT FOR THIS PRODUCT, QUEST ASSUMES NO LIABILITY WHATSOEVER AND DISCLAIMS ANY EXPRESS, IMPLIED OR STATUTORY WARRANTY RELATING TO ITS PRODUCTS INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL QUEST BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, PUNITIVE, SPECIAL OR INCIDENTAL DAMAGES (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF PROFITS, BUSINESS INTERRUPTION OR LOSS OF INFORMATION) ARISING OUT OF THE USE OR INABILITY TO USE THIS DOCUMENT, EVEN IF QUEST HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. Quest makes no representations or warranties with respect to the accuracy or completeness of the contents of this document and reserves the right to make changes to specifications and product descriptions at any time without notice. Quest does not make any commitment to update the information contained in this document.

If you have any questions regarding your potential use of this material, contact:

Quest Software World Headquarters
LEGAL Dept
5 Polaris Way
Aliso Viejo, CA 92656

www.quest.com
email: legal@quest.com

Refer to our web site for regional and international office information.

Trademarks

Quest, Quest Software, the Quest Software logo, AccessManager, ActiveRoles, Aelita, Akonix, Benchmark Factory, Big Brother, BridgeAccess, BridgeAutoEscalate, BridgeSearch, BridgeTrak, BusinessInsight, ChangeAuditor, CI Discovery, Defender, DeployDirector, Desktop Authority, Directory Analyzer, Directory Troubleshooter, DS Analyzer, DS Expert, Foglight, GPOADmin, Help Desk Authority, Imceda, IntelliProfile, InTrust, Invirtus, iToken, JClass, JProbe, LeccoTech, LiteSpeed, LiveReorg, LogADmin, MessageStats, Monosphere, NBSpool, NetBase, NetControl, Npulse, NetPro, PassGo, PerformaSure, Point, Click, Done!, Quest vToolkit, Quest vWorkSpace, ReportADmin, RestoreADmin, ScriptLogic, SelfServiceADmin, SharePlex, Sitraka, SmartAlarm, Spotlight, SQL Navigator, SQL Watch, SQLab, Stat, StealthCollect, Storage Horizon, Tag and Follow, Toad, T.O.A.D., Toad World, vAutomator, vConverter, vEcoShell, VESI,vFoglight, vPackager, vRanger, vSpotlight, vStream, vToad, Vintela, Virtual DBA, VizionCore, Vizioncore vAutomation Suite, Vizioncore vEssentials, Vizioncore vWorkflow, WebDefender, Webthority, Xaffire, and XRT are trademarks and registered trademarks of Quest Software, Inc in the United States of America and other countries. Other trademarks and registered trademarks are property of their respective owners.